# Popzy - WordPress Popup Plugin

Popzy is a powerful and lightweight WordPress popup plugin designed to help you create engaging popups effortlessly. Built with modern web technologies such as React, SASS, and Tailwind CSS, Popzy ensures smooth performance and an intuitive user experience.

## Features
- Easy-to-use popup builder with Gutenberg
- Lightweight and fast performance
- Works seamlessly with WordPress
- WP Rest API
- Caching method

## Installation
Clone the repository:

```sh
git clone https://github.com/schorpy/popzy.git
cd popzy
```

Install dependencies:

```sh
npm install
composer install
```

## Development
Start the development server:

```sh
npm run watch
```

## Build
Compile and optimize the plugin for production:

```sh
npm run build
```
## Resources
- CSS & Styling: Source files for Tailwind CSS and SASS are available in the /src/resources/css directory.
- JavaScript & React: JSX, TSX, and JavaScript files are available in the /src/resources/javascript directory.

## Minified Assets:
-Minified CSS files are located in /assets/css.
-Minified JavaScript files are located in /assets/js.
